Overview

AVI Plug-In Help

Copyright © 2011. Sony Creative Software Inc
All Rights Reserved
Revised January 18, 2011

You can use the AVI plug-in to import and render AVI files.

Vegas, Vegas+DVD, DVD Architect, Vegas Movie Studio, Vegas Movie Studio+DVD, DVD Architect Studio, ACID, Music Studio, ACIDized, Super Duper Music Looper, Jam Trax, Sony Sound Series, Chopper, Groove Mapping, Groove Cloning, CD Architect, Sound Forge, Audio Studio, Cinescore, Acoustic Mirror, Noise Reduction, Wave 64, Wave Hammer, and XFX are trademarks or registered trademarks of Sony Creative Software Inc or its affiliates in the United States and other countries. All other trademarks or registered trademarks are the property of their respective owners in the United States and other countries.

Sony Creative Software Inc may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Sony Creative Software Inc, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.


Audio Settings

Item

Description

Include audio

Select this check box to include an audio stream in the .avi file. If this check box is cleared, the remainder of this dialog is unavailable.

Audio format

Specifies the format in which the audio data will be saved. Audio files are most often saved in the PCM format. However, other formats may be used for compression purposes. If you have the Microsoft Audio Compression Manager (ACM) installed, you can save files in a variety of compressed formats including the Microsoft ADPCM format.

Attributes

Displays the sample rate, sample size, and whether the file is stereo or mono. Each of these values can be reconfigured with the Sample rate, Bit depth, and Channels controls.

Sample rate

Specifies the sample rate of the audio data. The sample rate value indicates the number of times a sound waveform is checked for position each second. Higher sampling rates provide more information about a sound’s changing amplitude and therefore, higher fidelity. However, higher sample rates require additional storage space.

Bit depth

Specifies the bit depth (or sample size) of the audio data. The bit depth value indicates the number of bits used to store each sample. Higher bit depths produce higher fidelity audio, but also require additional storage space. Lower bit depths require less storage space, but tend to reveal quantization noise.

Channels

If you choose PCM (uncompressed) from the Format drop-down list, you can choose a setting from the Channels drop-down list to specify the number of channels that will be saved in your audio file.

When a mono audio file is saved in stereo, the mono data is copied to both channels. When a stereo file is saved as mono, data from both channels is mixed equally in the mono channel.


Video Settings

Item

Description

Include video

Select this check box to include a video stream in the .avi file. If this check box is cleared, the remainder of this dialog is unavailable.

Frame size

Specifies the standard and physical dimensions of the video stream saved in the .avi file.

Frame rate

Specifies the frame rate of the video stream. The frame rate determines the speed at which individual images are displayed during playback. Higher frame rates result in smoother motion.

Field order

Choose a setting from the drop-down list to determine the field order of the frames when drawn on the screen. Progressive should be specified when the video will be viewed on a computer. Upper field first and Lower field first interlacing methods are used when the video will be viewed on a television. Consult the hardware’s documentation for the proper interlacing method.

Pixel aspect ratio

Determines whether the pixels are square (1.0) which refers to computers, or rectangular (settings other than 1.000) which typically refers to televisions. The pixel aspect ratio is unrelated to the frame’s aspect ratio.

Video format

Specifies the compression codec (if any) applied to the video stream. Compression codecs are included with Windows, but are also available from third-party vendors.

Quality

Certain video codecs allow you to determine the amount of the compression applied to the video. Drag the Quality slider to determine the final output quality of the video stream. As the Quality setting approaches 100, less compression is applied, resulting in fewer visual artifacts.

Interleave every

Selecting this check box and entering a valid value in the Seconds edit box will result in the audio and video streams being interleaved. The Seconds value determines the interleaving frequency. Interleaving improves playback performance when using storage devices that are more efficient at providing data sequentially (such as CD-ROM drives).

Interleave every frame

Select this check box if you want to interleave the audio and video streams at every frame. Some applications—such as Sony DVGate—require that every frame be interleaved.

Keyframe every

Selecting this check box and entering a valid value in the Frames edit box will determine the interval used for creating key frames in the .avi file.

Certain compression formats are based on keyframes (sometimes called temporal compression). Keyframes contain all information required to display an image. Frames located between key frames are called delta frames and they contain only the information used to display change.

Increasing the Frames value increases video quality, but decreases compression. However, if an .avi file contains few keyframes, decompression will be time consuming when drawing video or moving randomly through the file.

Data rate

Selecting this check box and entering a valid value in the KB/Sec edit box will determine the data rate required to play the compressed video stream in real time.

Lower data rates are less demanding on a computer’s processor than higher rates. If the data rate is too high (usually because of a bottleneck such as a slow CD-ROM, network, or hard drive), the quality suffers and glitching may occur.

Render alpha channel

If the format supports it, selecting this check box results in the transparent data of the video stream or image being rendered with the .avi.

Create an OpenDML (AVI version 2.0) compatible file

Select this check box if you want to save your file as an OpenDML file. OpenDML files allow you to create files that are limited in size only by the format of your hard disk: 2GB using FAT32 or 4GB using NTFS.

Some applications will not support OpenDML files. If you have problems using your AVI files in other applications, clear this check box.


AVI/DV Media Properties Settings

Item

Description

Enable 2-3 Pulldown Removal

Select this check box to allow removal of pulldown fields when opening 24p video.

You can clear this check box if you want to override pulldown removal for individual files when the Enable pulldown removal when opening 24p DV check box is selected on the General tab of the Vegas Preferences dialog.

Starting frame timecode offset

Choose a setting from the drop-down list to indicate what timecode numbers represent which frame in the video sequence.

For example, if you have an NTSC DV file with 2-3 pulldown created on a Sony JH3 HDCAM deck, the default settings for timecode offset use 0 for the Starting frame timecode offset.

If you have changed the timecode offsets on the deck (or if you have material with pulldown from another source) you will have to experiment with the settings to determine the correct offset.

When you can preview your clip without seeing interlacing lines or flicker, the offset is correct.